/******************************************************************************
 GChangeLogText.cc

	Copyright  1998 by Glenn Bach. All rights reserved.

 ******************************************************************************/

#include "GHelpText.h"

const JCharacter* kChangeLogName  = "GChangeLog";
const JCharacter* kChangeLogTitle = "Changes from previous versions";

const JCharacter* kChangeLogText =

"Please send all bug reports and suggestions for features to Glenn Bach."
"<p>"
"arrow@alice.caltech.edu"
"<p>"
"----------"
"<p>"

"<b>1.0.7</b>"
"<p>"

"Fixed a resizing bug."

"<p>"

"<b>1.0.7</b>"
"<p>"

"Added support for GnuPG."
"<p>"

"Made the edit window width resizable."
"<p>"

"Fixed a couple of POP bugs and added a POP debug window."
"<p>"

"<b>1.0.6</b>"

"<p>"

"Added option to not beep when new mail comes in"

"<p>"

"Fixed a bug that caused Arrow to crash if a mailbox was deleted in an "
"xterm while it was open."

"<p>"

"Fixed a bug that prevented Append from saving headers."
"<p>"

"Fixed a bug that caused a crash when dropping a message in the mailbox "
"window if there were no mailboxes displayed yet."
"<p>"

"Empty mailboxes are now correctly visible in the open mailbox dialog box."
"<p>"

"<b>1.0.5</b>"

"<p>"

"Fixed a toolbar bug that caused the program to crash. "
"<p>"

"Checks for valid custom from lines."
"<p>"

"Now opens preferences dialog box if user tries to check mail "
"without setting POP preferences first."
"<p>"

"Added <a href=jxhelp:GPrefsHelp>help</a> for the Mail Preferences dialog."
"<p>"

"<b>1.0.4</b>"

"<p>"

"Fixed the permissions problem with lock files."
"<p>"

"Added menu icons so the button bar can now have images."
"<p>"

"Rewrote the spell checker to fix some things."
"<p>"

"User can now specify whether the spell checker should report no errors "
"(via the mail preferences dialog)."
"<p>"

"Added font selection for the view and edit windows "
"(via the mail preferences dialog)."
"<p>"

"User can now set the tab spacing "
"(via the mail preferences dialog)."
"<p>"

"User can now specify a maximum size message to automatically quote "
"(via the mail preferences dialog)."
"<p>"

"User can now specify a custom from line (via the mail preferences dialog)."
"<p>"

"The Windows menu now lists all open windows of any type."
"<p>"

"The preferences have been separated into their own Preferences menu."
"<p>"

"Added an X-Mailer header line."
"<p>"

"Save/Append and Print with/without headers have been compressed to just "
"three menu items instead of six."
"<p>"

"Added a Page Setup menu item."

"<p>"

"<b>1.0.3</b>"

"<p>"

"Added a configurable button bar. " 
"<p>"

"Add html links in message view windows. "

"<p>"

"<b>1.0.2</b>"

"<p>"

"Fixed an SMTP bug that caused an unnecessary error message. " 
"<p>"

"Fixed a mailbox window bug that prevented names with spaces in them. "

"<p>"

"<b>1.0.1</b>"

"<p>"

"Fixed a small buglet in the address book's Addresses menu."
"<p>"

"Added an SMTP debug output window available through the message "
"window's Windows menu."

"<p>"



"<b>1.0</b>"

"<p>"

"Added mailbox list window that supports drag-and-drop."
"<p>"

"Added address book window that supports drag-and-drop."
"<p>"

"Save/append/print messages from message list window."
"<p>"

"Save/append/print message to file from view window."
"<p>"

"Insert text file into new message."
"<p>"

"Added default reply-to in preferences - reads REPLYTO environment variable."
"<p>"

"Show/hide sender string in reply via preferences. Set the sender string via "
"preferences."
"<p>"

"Fixed an inbox bug that caused some crashes."

"<p>"
"<b>0.6.5</b>"
"<p>"
"The SMTP routines weren't 822bis compliant. I was sending LF instead of "
"CR LF. This should now be ok.<p>"
"Arrow now saves the prefs for the open dialog box."
"<p>"
"<p>"
"<b>0.6.4</b>"
"<p>"
"Fixed a lock file bug."
"<p>"
"<b>0.6.3</b>"
"<p>"
"Fixed a bug that caused a problem in drag-and-drop for a very specific case."
"<p>"
"<b>0.6.2</b>"
"<p>"
"I missed a JX change that killed the spell checker for version 0.6. "
"It should work now."
"<p>"
"<b>0.6.1</b>"
"<p>"
"Fixed a bug that caused Arrow to crash on startup for some systems."
"<p>"
"<b>0.6</b>"
"<p>"
"Access mail on POP servers - supports APOP.<p>"
"Text search in view and edit windows.<p>"
"The <i>Inbox</i> menu is no longer a sub-menu, but is now on the menu bar.<p>"
"European keyboards are now supported.<p>"
"Will not open mailboxes when a lock file can't be created.<p>"
"Preference to allow automatic insertion of reply text.<p>"
"Added <i>SMTP User</i> preference which is needed for some servers.<p>"
"<p>"
"<b>0.5</b>"
"<p>"
"initial release"
;
