/******************************************************************************
 GMSpellCheckPrefObject.h

	Copyright  1999 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#ifndef _H_GMSpellCheckPrefObject
#define _H_GMSpellCheckPrefObject

#include <JPrefObject.h>	

class GMSpellCheckPrefObject : public JPrefObject
{
public:

	GMSpellCheckPrefObject(JPrefsManager* prefsMgr, const JPrefID& id);

	virtual ~GMSpellCheckPrefObject();

protected:

	virtual void	ReadPrefs(istream& input);
	virtual void	WritePrefs(ostream& output) const;


private:

	// not allowed

	GMSpellCheckPrefObject(const GMSpellCheckPrefObject& source);
	const GMSpellCheckPrefObject& operator=(const GMSpellCheckPrefObject& source);
};

#endif
